Bug 1360748 - update for s390x support
Summary: update for s390x support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-golang-sys
Version: 26
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fridolín Pokorný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2016-07-27 11:50 UTC by Dan Horák
Modified: 2018-05-27 19:51 UTC (History)
3 users (show)

Fixed In Version: golang-github-golang-sys-0-0.9.git8f0908a.fc24 golang-github-golang-sys-0-0.9.git8f0908a.fc25 golang-github-golang-sys-0-0.9.git8f0908a.el6 golang-github-golang-sys-0-0.11.git478fcf5.fc26 golang-github-golang-sys-0-0.11.git478fcf5.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-15 02:59:24 UTC


Attachments (Terms of Use)

Description Dan Horák 2016-07-27 11:50:32 UTC
Please update to a recent snapshot to gather s390x support - https://github.com/golang/sys/commit/33267e036fd93fcd26ea95b7bdaf2d8306cb743c


Version-Release number of selected component (if applicable):
golang-github-golang-sys-0-0.4.git9c60d1c.fc25

Comment 1 Jan Chaloupka 2016-08-02 12:52:48 UTC
$ gofed apidiff --compare-with upstream:github.com/golang/sys:9c60d1c508f5134d1ca726b4641db998f2523357 --reference upstream:github.com/golang/sys:33267e036fd93fcd26ea95b7bdaf2d8306cb743c -ruc
~unix: function updated: -function : results count changed: 1 -> 2
~unix: function updated: -function : results count changed: 1 -> 0
~unix: function updated: -function : parameter count changed: 2 -> 3
-unix: variable removed: SIOCDIPSECONFIG
-unix: variable removed: SIOCLIPSECONFIG
-unix: variable removed: SIOCFIPSECONFIG
-unix: variable removed: SIOCSIPSECONFIG
~unix: type updated: -struct Ospeed: 'Pad_cgo_0' field removed
~unix: type updated: +struct Pad: new field 'X_padFd'
~windows: type updated: +struct dll: new field 'System'

Removed pieces should be easy to replace/patch in dependent projects.

Comment 2 Fedora Update System 2016-08-02 13:12:24 UTC
golang-github-golang-sys-0-0.5.git33267e0.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8196fccf37

Comment 3 Fedora Update System 2016-08-02 13:12:45 UTC
golang-github-golang-sys-0-0.5.git33267e0.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cfae4239d2

Comment 4 Fedora Update System 2016-08-02 13:13:08 UTC
golang-github-golang-sys-0-0.5.git33267e0.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f0648d8fee

Comment 5 Fedora Update System 2016-08-02 13:13:33 UTC
golang-github-golang-sys-0-0.5.git33267e0.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2ebb629b66

Comment 6 Jan Chaloupka 2016-08-02 14:00:17 UTC
s390x scratch build here: http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2306139

Comment 7 Fedora Update System 2016-08-02 20:48:30 UTC
golang-github-golang-sys-0-0.5.git33267e0.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cfae4239d2

Comment 8 Fedora Update System 2016-08-02 20:48:41 UTC
golang-github-golang-sys-0-0.5.git33267e0.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f0648d8fee

Comment 9 Fedora Update System 2016-08-02 21:52:14 UTC
golang-github-golang-sys-0-0.5.git33267e0.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8196fccf37

Comment 10 Fedora Update System 2016-08-02 21:53:23 UTC
golang-github-golang-sys-0-0.5.git33267e0.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2ebb629b66

Comment 11 Fedora Update System 2016-08-06 13:02:15 UTC
golang-github-golang-sys-0-0.6.git33267e0.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d038a80138

Comment 12 Fedora Update System 2016-08-09 02:19:29 UTC
golang-github-golang-sys-0-0.6.git33267e0.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d038a80138

Comment 13 Fedora Update System 2016-08-17 14:28:43 UTC
golang-github-golang-sys-0-0.7.git62bee03.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e6232003f

Comment 14 Fedora Update System 2016-08-17 14:29:06 UTC
golang-github-golang-sys-0-0.7.git62bee03.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-662bfb00a1

Comment 15 Fedora Update System 2016-08-17 14:29:29 UTC
golang-github-golang-sys-0-0.7.git62bee03.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3b34a8f9a4

Comment 16 Fedora Update System 2016-08-17 14:29:53 UTC
golang-github-golang-sys-0-0.7.git62bee03.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-935856face

Comment 17 Fedora Update System 2016-08-18 01:50:58 UTC
golang-github-golang-sys-0-0.7.git62bee03.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e6232003f

Comment 18 Fedora Update System 2016-08-18 01:51:30 UTC
golang-github-golang-sys-0-0.7.git62bee03.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-935856face

Comment 19 Fedora Update System 2016-08-18 04:18:50 UTC
golang-github-golang-sys-0-0.7.git62bee03.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3b34a8f9a4

Comment 20 Fedora Update System 2016-08-18 04:19:08 UTC
golang-github-golang-sys-0-0.7.git62bee03.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-662bfb00a1

Comment 21 Fedora Update System 2016-12-16 17:01:32 UTC
golang-github-golang-sys-0-0.8.git62bee03.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-385a45ab56

Comment 22 Fedora Update System 2016-12-16 17:01:49 UTC
golang-github-golang-sys-0-0.8.git62bee03.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c3cf52634c

Comment 23 Fedora Update System 2016-12-16 17:02:04 UTC
golang-github-golang-sys-0-0.8.git62bee03.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c7e48bd201

Comment 24 Fedora Update System 2016-12-16 17:02:25 UTC
golang-github-golang-sys-0-0.8.git62bee03.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8685c5cf3d

Comment 25 Fedora Update System 2016-12-19 01:50:33 UTC
golang-github-golang-sys-0-0.8.git62bee03.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c3cf52634c

Comment 26 Fedora Update System 2016-12-19 02:29:46 UTC
golang-github-golang-sys-0-0.8.git62bee03.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c7e48bd201

Comment 27 Fedora Update System 2016-12-19 19:17:25 UTC
golang-github-golang-sys-0-0.8.git62bee03.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-385a45ab56

Comment 28 Fedora Update System 2016-12-20 00:56:34 UTC
golang-github-golang-sys-0-0.8.git62bee03.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8685c5cf3d

Comment 29 Fedora Update System 2017-01-18 07:11:10 UTC
golang-github-golang-sys-0-0.9.git8f0908a.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-33e1b309fe

Comment 30 Fedora Update System 2017-01-18 07:11:32 UTC
golang-github-golang-sys-0-0.9.git8f0908a.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2bb7a66437

Comment 31 Fedora Update System 2017-01-18 07:11:54 UTC
golang-github-golang-sys-0-0.9.git8f0908a.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-40cc68c956

Comment 32 Fedora Update System 2017-01-18 07:12:15 UTC
golang-github-golang-sys-0-0.9.git8f0908a.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0951a05edb

Comment 33 Fedora Update System 2017-01-19 07:23:29 UTC
golang-github-golang-sys-0-0.9.git8f0908a.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0951a05edb

Comment 34 Fedora Update System 2017-01-19 09:11:02 UTC
golang-github-golang-sys-0-0.9.git8f0908a.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-40cc68c956

Comment 35 Fedora Update System 2017-01-19 20:47:42 UTC
golang-github-golang-sys-0-0.9.git8f0908a.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-33e1b309fe

Comment 36 Fedora Update System 2017-01-19 20:50:53 UTC
golang-github-golang-sys-0-0.9.git8f0908a.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2bb7a66437

Comment 37 Fedora End Of Life 2017-02-28 10:00:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 38 Fedora Update System 2017-03-08 13:25:14 UTC
golang-github-golang-sys-0-0.9.git8f0908a.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2017-03-08 13:53:46 UTC
golang-github-golang-sys-0-0.9.git8f0908a.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 40 Fedora Update System 2017-03-08 15:51:04 UTC
golang-github-golang-sys-0-0.9.git8f0908a.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 41 Fedora Update System 2017-03-14 12:40:51 UTC
golang-github-golang-sys-0-0.11.git478fcf5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b889826a18

Comment 42 Fedora Update System 2017-03-14 12:41:09 UTC
golang-github-golang-sys-0-0.11.git478fcf5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-24f2f921e7

Comment 43 Fedora Update System 2017-03-14 12:41:33 UTC
golang-github-golang-sys-0-0.11.git478fcf5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-33b8ea1cac

Comment 44 Fedora Update System 2017-03-14 12:41:55 UTC
golang-github-golang-sys-0-0.11.git478fcf5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4450114d22

Comment 45 Fedora Update System 2017-03-14 12:42:19 UTC
golang-github-golang-sys-0-0.11.git478fcf5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-67f367ec3c

Comment 46 Fedora Update System 2017-03-15 04:23:27 UTC
golang-github-golang-sys-0-0.11.git478fcf5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-33b8ea1cac

Comment 47 Fedora Update System 2017-03-15 18:48:53 UTC
golang-github-golang-sys-0-0.11.git478fcf5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-24f2f921e7

Comment 48 Fedora Update System 2017-03-15 18:50:25 UTC
golang-github-golang-sys-0-0.11.git478fcf5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4450114d22

Comment 49 Fedora Update System 2017-03-15 19:55:53 UTC
golang-github-golang-sys-0-0.11.git478fcf5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-67f367ec3c

Comment 50 Fedora Update System 2017-03-15 19:57:43 UTC
golang-github-golang-sys-0-0.11.git478fcf5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b889826a18

Comment 51 Fedora Update System 2017-06-15 02:59:24 UTC
golang-github-golang-sys-0-0.11.git478fcf5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 52 Fedora Update System 2017-06-15 04:48:44 UTC
golang-github-golang-sys-0-0.11.git478fcf5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 53 Fedora Update System 2018-05-18 11:26:30 UTC
golang-github-golang-sys-0-0.19.20180517git7c87d13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a8728f96f8

Comment 54 Fedora Update System 2018-05-18 11:26:39 UTC
golang-github-golang-sys-0-0.19.20180517git7c87d13.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cdcb9a870b

Comment 55 Fedora Update System 2018-05-19 01:48:27 UTC
golang-github-golang-sys-0-0.19.20180517git7c87d13.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a8728f96f8

Comment 56 Fedora Update System 2018-05-19 04:21:06 UTC
golang-github-golang-sys-0-0.19.20180517git7c87d13.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cdcb9a870b

Comment 57 Fedora Update System 2018-05-27 19:31:13 UTC
golang-github-golang-sys-0-0.19.20180517git7c87d13.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 58 Fedora Update System 2018-05-27 19:51:05 UTC
golang-github-golang-sys-0-0.19.20180517git7c87d13.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.